Get rollup job information

  • GET /_rollup/job/{id}
  • GET /_rollup/job
Auth Deprecated

Get the configuration, stats, and status of rollup jobs.

Note

This API returns only active (both STARTED and STOPPED) jobs. If a job was created, ran for a while, then was deleted, the API does not return any details about it. For details about a historical rollup job, the rollup capabilities API may be more useful.

Required privileges

Cluster privileges monitor_rollup

Path parameters

id string optional

Identifier for the rollup job. If it is _all or omitted, the API returns all rollup jobs.

Leave it out to use /_rollup/job.

Response

application/json
jobs object[] required
config object required

The rollup job configuration.

cron string required
groups object required
id string required
index_pattern string required
metrics object[] required
field string required

The field to collect metrics for. This must be a numeric of some kind.

metrics enum[] required

An array of metrics to collect for the field. At least one metric must be configured.

Values: min max sum avg value_count
page_size number required
rollup_index string required
timeout string required
stats object required

Transient statistics about the rollup job, such as how many documents have been processed and how many rollup summary docs have been indexed. These stats are not persisted. If a node is restarted, these stats are reset.

documents_processed number required
index_failures number required
index_time_in_ms number required
index_total number required
pages_processed number required
rollups_indexed number required
search_failures number required
search_time_in_ms number required
search_total number required
trigger_count number required
processing_time_in_ms number required
processing_total number required
status object required

The current status of the indexer for the rollup job.

current_position map string to object
job_state enum required
Values: started indexing stopping stopped aborting
upgraded_doc_id boolean